<!DOCTYPE html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9"> <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js"> <!--<![endif]-->
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <title>Exploration strategies in RL</title>
        <meta name="description" content="">
        <!--
    	Volton Template
    	http://www.templatemo.com/tm-441-volton
        -->
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="stylesheet" href="css/normalize.css">
        <link rel="stylesheet" href="css/font-awesome.css">
        <link rel="stylesheet" href="css/bootstrap.min.css">
        <link rel="stylesheet" href="css/templatemo-style.css">
        <script src="js/vendor/modernizr-2.6.2.min.js"></script>

        <style>
            ul {
                display: block;
                list-style-type: disc;
                margin-top: 1em;
                margin-bottom: 1 em;
                margin-left: 0;
                margin-right: 0;
                padding-left: 40px;
            }
    </style>
    </head>
    <body>
        <!--[if lt IE 7]>
            <p class="browsehappy">You are using an <strong>outdated</strong> browser. Please <a href="http://browsehappy.com/">upgrade your browser</a> to improve your experience.</p>
        <![endif]-->

        <div class="responsive-header visible-xs visible-sm">
            <div class="container">
                <div class="row">
                    <div class="col-md-12">
                        <div class="top-section">
                            <!--<div class="profile-image">-->
                                <!--<img src="img/profile.jpg" alt="Volton">-->
                            <!--</div>-->
                            <!--<div class="profile-content">-->
                                <!--<h3 class="profile-title">Volton</h3>-->
                                <!--<p class="profile-description">Digital Photographer</p>-->
                            <!--</div>-->
                        </div>
                    </div>
                </div>
                <a href="#" class="toggle-menu"><i class="fa fa-bars"></i></a>
                <div class="main-navigation responsive-menu">
                    <ul class="navigation">
                        <li><a href="#top"><i class="fa fa-home"></i>Home</a></li>
                        <li><a href="#about"><i class="fa fa-user"></i>About Me</a></li>
                        <li><a href="#projects"><i class="fa fa-newspaper-o"></i>My Gallery</a></li>
                        <li><a href="#contact"><i class="fa fa-envelope"></i>Contact Me</a></li>
                    </ul>
                </div>
            </div>
        </div>

        <!-- SIDEBAR -->
        <div class="sidebar-menu hidden-xs hidden-sm">
            <div class="top-section">
                <!--<div class="profile-image">-->
                    <!--<img src="img/profile.jpg" alt="Volton">-->
                <!--</div>-->
                <h3 class="profile-title">Master's thesis</h3>
                <!--<p class="profile-description">Digital</p>-->
            </div> <!-- top-section -->
            <div class="main-navigation">
                <ul class="navigation">
                    <li><a href="#top"><i class="fa fa-globe"></i>Welcome</a></li>
                    <li><a href="#about"><i class="fa fa-pencil"></i>About</a></li>
                    <li><a href="#projects"><i class="fa fa-tasks"></i>Progress</a></li>
                    <li><a href="#papers"><i class="fa fa-file"></i>Papers</a></li>
                    <li><a href="#experiment"><i class="fa fa-flask"></i>Experiment</a></li>
                    <li><a href="#attachments"><i class="fa fa-paperclip"></i>Attachments</a></li>
                </ul>
            </div> <!-- .main-navigation -->
            <div class="social-icons">
                <ul>
                    <li><a href="https://gitlab.com/exploration-strategies-reinforcement-learning/q-learning/tree/develop" target="_blank"><i class="fa fa-git"></i></a></li>
                    <li><a href="#"><i class="fa fa-facebook"></i></a></li>
                    <li><a href="#"><i class="fa fa-linkedin"></i></a></li>
                </ul>
            </div> <!-- .social-icons -->
        </div> <!-- .sidebar-menu -->


        <div class="banner-bg" id="top">
            <div class="banner-overlay"></div>
            <div class="welcome-text">
                <h2>Exploration strategies in Reinforcement learning</h2>
            </div>
        </div>

        <!-- MAIN CONTENT -->
        <div class="main-content">
            <div class="fluid-container">

                <div class="content-wrapper">

                    <!-- ABOUT -->
                    <div class="page-section" id="about">
                    <div class="row">
                        <div class="col-md-12">
                            <h4 class="widget-title">About thesis</h4>
                            The aim of the thesis is to get acquainted with exploration strategies in reinforcement learning.
                            <!--<div class="about-image">-->
                                <!--<img src="img/8.jpg" alt="about me">-->
                            <!--</div>-->
                            <!--<p>Volton is free website design from <span class="blue">template</span><span class="green">mo</span>. You can use this template for any purpose. Please tell your friends about it. Thank you. Credit goes to <a rel="nofollow" href="http://unsplash.com" target="_parent">Unsplash</a> for images used in this design. You can <strong>change menu icons</strong> by checking <a rel="nofollow" href="http://fontawesome.info/font-awesome-icon-world-map/" target="_parent">Font Awesome</a> (version 4). Example: <strong>&lt;i class=&quot;fa fa-camera&quot;&gt;&lt;/i&gt;</strong></p>-->
                            <!--<hr>-->
                        </div>
                    </div> <!-- #about -->
                    </div>
                    <hr>

                    <!-- PROJECTS -->
                    <div class="page-section" id="projects">
                    <div class="row">
                        <div class="col-md-12">
                            <h4 class="widget-title">Progress</h4>
                              <ul>
                                <li><strong>26. sept - 4. oct</strong></li>
                                    - implementation of Pursuit strategy according to [1] paper <br>
                              </ul>
                              <ul>
                                <li><strong>4. oct - 18. oct</strong></li>
                                    - utility that shows path  to goal  of learned agent in grid environment <br>
                                    - grid search algorihtm <br>
                              </ul>
                              <ul>
                                <li><strong>18. oct - 5. nov</strong></li>
                                    - completion of grid search and also its parallel version <br>
                                    - processing results from searching <br>
                              </ul>
                              <ul>
                                <li><strong>5. nov - 26. nov</strong></li>
                                    - setup and run the Experiment for getting reasonable results <br>
                                    - Experiment is desribed in the given subpage <br>
                              </ul>
                        </div>
                    </div>
                    <!--<div class="row projects-holder">-->
                        <!--<div class="col-md-4 col-sm-6">-->
                            <!--<div class="project-item">-->
                                <!--<img src="img/1.jpg" alt="">-->
                                <!--<div class="project-hover">-->
                                    <!--<div class="inside">-->
                                        <!--<h5><a href="#">Pellentesque porta ligula</a></h5>-->
                                        <!--<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam cursus</p>-->
                                    <!--</div>-->
                                <!--</div>-->
                            <!--</div>-->
                        <!--</div>-->
                        <!--<div class="col-md-4 col-sm-6">-->
                            <!--<div class="project-item">-->
                                <!--<img src="img/2.jpg" alt="">-->
                                <!--<div class="project-hover">-->
                                    <!--<div class="inside">-->
                                        <!--<h5><a href="#">Pellentesque porta ligula</a></h5>-->
                                        <!--<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam cursus</p>-->
                                    <!--</div>-->
                                <!--</div>-->
                            <!--</div>-->
                        <!--</div>-->
                        <!--<div class="col-md-4 col-sm-6">-->
                            <!--<div class="project-item">-->
                                <!--<img src="img/3.jpg" alt="">-->
                                <!--<div class="project-hover">-->
                                    <!--<div class="inside">-->
                                        <!--<h5><a href="#">Pellentesque porta ligula</a></h5>-->
                                        <!--<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam cursus.</p>-->
                                    <!--</div>-->
                                <!--</div>-->
                            <!--</div>-->
                        <!--</div>-->
                        <!--<div class="col-md-4 col-sm-6">-->
                            <!--<div class="project-item">-->
                                <!--<img src="img/4.jpg" alt="">-->
                                <!--<div class="project-hover">-->
                                    <!--<div class="inside">-->
                                        <!--<h5><a href="#">Pellentesque porta ligula</a></h5>-->
                                        <!--<p>Quisque mattis sit amet dolor eu scelerisque. Vivamus bibendum massa et nisl tempus commodo.</p>-->
                                    <!--</div>-->
                                <!--</div>-->
                            <!--</div>-->
                        <!--</div>-->
                        <!--<div class="col-md-4 col-sm-6">-->
                            <!--<div class="project-item">-->
                                <!--<img src="img/5.jpg" alt="">-->
                                <!--<div class="project-hover">-->
                                    <!--<div class="inside">-->
                                        <!--<h5><a href="#">Pellentesque porta ligula</a></h5>-->
                                        <!--<p>Quisque mattis sit amet dolor eu scelerisque. Vivamus bibendum massa et nisl tempus commodo.</p>-->
                                    <!--</div>-->
                                <!--</div>-->
                            <!--</div>-->
                        <!--</div>-->
                        <!--<div class="col-md-4 col-sm-6">-->
                            <!--<div class="project-item">-->
                                <!--<img src="img/6.jpg" alt="">-->
                                <!--<div class="project-hover">-->
                                    <!--<div class="inside">-->
                                        <!--<h5><a href="#">Pellentesque porta ligula</a></h5>-->
                                        <!--<p>Quisque mattis sit amet dolor eu scelerisque. Vivamus bibendum massa et nisl tempus commodo.</p>-->
                                    <!--</div>-->
                                <!--</div>-->
                            <!--</div>-->
                        <!--</div>-->
                    <!--</div> &lt;!&ndash; .projects-holder &ndash;&gt;-->
                    </div>
                    <hr>

                    <!-- papers -->
                    <div class="page-section" id="papers">
                    <div class="row">
                        <div class="col-md-12">
                            <h4 class="widget-title">Papers</h4>
                            <p><a href="http://www.ai.rug.nl/~mwiering/GROUP/ARTICLES/Exploration_QLearning.pdf">
                                [1] Comparing Exploration Strategies for Q-learning in Random Stochastic Mazes
                            </a></p>
                            <p><a href="https://gitlab.com/exploration-strategies-reinforcement-learning/q-learning/blob/develop/documentation/papers/Reinforcement%20Learning%20in%250AContinuous%20State%20and%20Action%20Spaces.pdf">
                                [2] Reinforcement Learning in Continuous State and Action Spaces [po kapitolu 2.3.1 vrátane]
                            </a></p>
                            <p><a href="https://pdfs.semanticscholar.org/0276/1533d794ed9ed5dfd0295f2577e1e98c4fe2.pdf">
                                [3] A Survey of Exploration Strategies in Reinforcement Learning
                            </a></p>
                            <p><a href="http://neuralnetworksanddeeplearning.com/chap1.html">
                                [4] Deep Learning, book by Ian Goodfellow, Yoshua Bengio, and Aaron Courville
                            </a></p>
                            <p><a href="http://yann.lecun.com/exdb/publis/pdf/lecun-98b.pdf">
                                [5] Efficient backpropagation
                            </a></p>
                            <p><a href="http://cs229.stanford.edu/notes/cs229-notes-all/cs229-notes12.pdf">
                                [6] Reinforcement Learning and Control
                            </a></p>
                            <br>
                            <p>Advanced</p>
                            <p><a href="https://arxiv.org/pdf/1606.01868.pdf">
                                [7] Unifying Count-Based Exploration and Intrinsic Motivation
                            </a></p>
                            <p><a href="https://arxiv.org/pdf/1703.01310.pdf">
                                [8] Count-Based Exploration with Neural Density Models
                            </a></p>
                        </div>
                    </div>
                    </div>
                    <hr>

                    <div class="page-section" id="experiment">
                    <div class="row">
                        <div class="col-md-12">
                            <h4 class="widget-title">Experiment</h4>
                                <p>...soon...</p>
                        </div>
                    </div>

                    <!--<div class="row">-->
                        <!--<form action="#" method="post" class="contact-form">-->
                            <!--<fieldset class="col-md-4 col-sm-6">-->
                                <!--<input type="text" id="your-name" placeholder="Your Name...">-->
                            <!--</fieldset>-->
                            <!--<fieldset class="col-md-4 col-sm-6">-->
                                <!--<input type="email" id="email" placeholder="Your Email...">-->
                            <!--</fieldset>-->
                            <!--<fieldset class="col-md-4 col-sm-12">-->
                                <!--<input type="text" id="your-subject" placeholder="Subject...">-->
                            <!--</fieldset>-->
                            <!--<fieldset class="col-md-12 col-sm-12">-->
                                <!--<textarea name="message" id="message" cols="30" rows="6" placeholder="Leave your message..."></textarea>-->
                            <!--</fieldset>-->
                            <!--<fieldset class="col-md-12 col-sm-12">-->
                                <!--<input type="submit" class="button big default" value="Send Message">-->
                            <!--</fieldset>-->
                        <!--</form>-->
                    <!--</div> &lt;!&ndash; .contact-form &ndash;&gt;-->
                    <!--</div>-->
                    <!--<hr>-->

                    <!-- ATTACHMENTS -->
                    <div class="page-section" id="attachments">
                        <div class="row">
                            <div class="col-md-12">
                            <h4 class="widget-title">Attachments </h4>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-3">
                                <p><a href="files/zadanie.pdf" target="_blank">Assignment of thesis [SK, .pdf]</p>
                            </div>
                            <div class="col-md-3">
                                <p><a href="files/main.pdf" target="_blank">Thesis [.pdf]</p>
                            </div>
                            <div class="col-md-3">
                                <p><a href="files/presentation.pdf" target="_blank">Presentation [.pdf]</p>
                            </div>
                        </div>
                    </div>
                    <hr>

                    <div class="row" id="footer">
                        <div class="col-md-12 text-center">
                            <p class="copyright-text"></p>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <script src="js/vendor/jquery-1.10.2.min.js"></script>
        <script src="js/min/plugins.min.js"></script>
        <script src="js/min/main.min.js"></script>

    </body>
</html>
